<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.xq.mapper.GroupMapper">

    <resultMap type="com.ruoyi.xq.domain.Group" id="GroupResult">
        <result property="id" column="id"/>
        <result property="groupImage" column="group_image"/>
        <result property="groupName" column="group_name"/>
        <result property="groupWomanRate" column="group_woman_rate"/>
        <result property="groupManRate" column="group_man_rate"/>
        <result property="cityName" column="city_name"/>
        <result property="cityCode" column="city_code"/>
        <result property="joinPrice" column="join_price"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>
    <select id="pageApp" resultType="com.ruoyi.xq.dto.app.group.GroupListAppVo">
        select t1.*
        from xq_group t1
        where delete_flag = 0
        <if test="query.cityCode != null and query.cityCode != ''">
            and t1.city_code = #{query.cityCode}
        </if>
    </select>


</mapper>
